hWaitForInput-accurate-socket
AcceptedPublic

Authored by syd on Oct 18 2017, 12:02 AM.

Details

Reviewers
nh2
bgamari
hvr
austin
Trac Issues
#8684
Summary

This is a test that 'hWaitForInput' is accurate when waiting for a socket

Test Plan

This _is_ a test

syd created this revision.Oct 18 2017, 12:02 AM
syd added a comment.Oct 18 2017, 12:06 AM

Make sure to have an extra close look at this, I'm not so sure this will turn out to be a FILE_TYPE_SOCKET when it gets down to the RTS.

In D4104#114721, @syd wrote:

Make sure to have an extra close look at this, I'm not so sure this will turn out to be a FILE_TYPE_SOCKET when it gets down to the RTS.

I'll admit I don't really know what this means. I know of nothing called FILE_TYPE_SOCKET. Are you concerned about fdReady's isSock argument not being set? Indeed looking at GHC.IO.FD.ready it seems that we only set it on Windows.

syd planned changes to this revision.Oct 23 2017, 7:00 AM
austin resigned from this revision.Nov 9 2017, 5:46 PM
syd updated this revision to Diff 14802.Nov 24 2017, 10:21 AM

Rebase onto master

syd updated this revision to Diff 14803.Nov 24 2017, 10:21 AM

Fixed > -> >= again.

syd added a comment.Nov 24 2017, 10:21 AM

This passes on linux. I'll need harbormaster to verify that this works on windows as well.

I'm going to try to get to the bottom of Harbormaster's Windows issues today.

bgamari accepted this revision.Nov 28 2017, 1:26 PM

It passes Harbormaster and otherwise looks good to me. Thanks @syd!

This revision is now accepted and ready to land.Nov 28 2017, 1:26 PM
syd added a comment.Dec 10 2017, 12:21 PM

Looks ilke this one is done.